commit 7a03a4805c9555ac2de01f47ce1fed7d03bb9a2d
Author: Dominic Cleal <dcleal@redhat.com>
Date:   Tue Aug 25 15:54:50 2015 +0100

    Replace libxml2-dev dependency with zlib1g for nokogiri 1.6
    
    nokogiri 1.6.x builds its own libxml2 during the gem installation
    process, so allow it to do that rather than link against the system
    libxml2.

diff --git a/debian/jessie/foreman/control b/debian/jessie/foreman/control
index 2fba42aef..e14c605f2 100644
--- a/debian/jessie/foreman/control
+++ b/debian/jessie/foreman/control
@@ -4,7 +4,7 @@ Section: web
 Priority: extra
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), cdbs, bundler (>= 1.1), ruby2.1-dev, git | git-core,
-               libxml2-dev, libxslt1-dev, libmysqlclient-dev, libpq-dev, pkg-config,
+               zlib1g-dev, libmysqlclient-dev, libpq-dev, pkg-config,
                libvirt-dev, libsqlite3-dev, facter, build-essential, curl
 Homepage: http://www.theforeman.org/
 
@@ -12,7 +12,7 @@ Package: foreman
 Architecture: any
 Section: web
 Priority: extra
-Depends: ruby2.1, bundler (>= 1.1), libxslt1-dev,
+Depends: ruby2.1, bundler (>= 1.1), zlib1g-dev,
          ruby2.1-dev, facter, build-essential,
          rake (>=0.8.4), ${misc:Depends}
 Recommends: foreman-proxy, foreman-debug
@@ -89,7 +89,7 @@ Architecture: all
 Section: web
 Priority: extra
 Recommends: foreman-ec2
-Depends: foreman, libxml2-dev, libxslt1-dev, ${misc:Depends}
+Depends: foreman, ${misc:Depends}
 Description: metapackage providing fog dependencies for Foreman,
  adding OpenStack and Rackspace compute resource support.
  This package provides fog dependencies for Foreman, a
diff --git a/debian/precise/foreman/control b/debian/precise/foreman/control
index c07955e28..98ca3b58a 100644
--- a/debian/precise/foreman/control
+++ b/debian/precise/foreman/control
@@ -5,7 +5,7 @@ Priority: extra
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), cdbs, bundler (>= 1.2), ruby1.9.3 (>= 1:1.9.3.545),
                ruby1.9.1-dev (>= 1:1.9.3.545), git | git-core,
-               libxml2-dev, libxslt1-dev, libmysqlclient-dev, libpq-dev, pkg-config,
+               zlib1g-dev, libmysqlclient-dev, libpq-dev, pkg-config,
                libvirt-dev, libsqlite3-dev, facter, build-essential
 Homepage: http://www.theforeman.org/
 
@@ -14,7 +14,7 @@ Architecture: any
 Section: web
 Priority: extra
 Depends: ruby1.9.3 (>= 1:1.9.3.545), bundler (>= 1.2), ruby1.9.1-dev (>= 1:1.9.3.545),
-         libxml2-dev, libxslt1-dev, facter (>= 1.6.12-1puppetlabs2), build-essential,
+         zlib1g-dev, facter (>= 1.6.12-1puppetlabs2), build-essential,
          rake (>=0.8.4), ${misc:Depends}
 Recommends: foreman-proxy, foreman-debug
 Description: Systems management web interface
@@ -89,7 +89,7 @@ Architecture: all
 Section: web
 Priority: extra
 Recommends: foreman-ec2
-Depends: foreman, libxml2-dev, libxslt1-dev, ${misc:Depends}
+Depends: foreman, ${misc:Depends}
 Description: metapackage providing fog dependencies for Foreman,
  adding OpenStack and Rackspace compute resource support.
  This package provides fog dependencies for Foreman, a
diff --git a/debian/trusty/foreman/control b/debian/trusty/foreman/control
index 097a3439a..4d67bca3d 100644
--- a/debian/trusty/foreman/control
+++ b/debian/trusty/foreman/control
@@ -4,7 +4,7 @@ Section: web
 Priority: extra
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), cdbs, bundler (>= 1.2), ruby, ruby1.9.1-dev, git | git-core,
-               libxml2-dev, libxslt1-dev, libmysqlclient-dev, libpq-dev, pkg-config,
+               zlib1g-dev, libmysqlclient-dev, libpq-dev, pkg-config,
                libvirt-dev, libsqlite3-dev, facter, build-essential
 Homepage: http://www.theforeman.org/
 
@@ -13,7 +13,7 @@ Architecture: any
 Section: web
 Priority: extra
 Depends: rubygems1.8 | ruby1.9.1, bundler (>= 1.2), ruby-dev,
-         libxml2-dev, libxslt1-dev, facter, build-essential,
+         zlib1g-dev, facter, build-essential,
          rake (>=0.8.4), ${misc:Depends}
 Recommends: foreman-proxy, foreman-debug
 Description: Systems management web interface
@@ -88,7 +88,7 @@ Architecture: all
 Section: web
 Priority: extra
 Recommends: foreman-ec2
-Depends: foreman, libxml2-dev, libxslt1-dev, ${misc:Depends}
+Depends: foreman, ${misc:Depends}
 Description: metapackage providing fog dependencies for Foreman,
  adding OpenStack and Rackspace compute resource support.
  This package provides fog dependencies for Foreman, a
diff --git a/debian/wheezy/foreman/control b/debian/wheezy/foreman/control
index 7699c1019..0a178731d 100644
--- a/debian/wheezy/foreman/control
+++ b/debian/wheezy/foreman/control
@@ -4,7 +4,7 @@ Section: web
 Priority: extra
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), cdbs, bundler (>= 1.1), ruby1.9.1-dev, git | git-core,
-               libxml2-dev, libxslt1-dev, libmysqlclient-dev, libpq-dev, pkg-config,
+               zlib1g-dev, libmysqlclient-dev, libpq-dev, pkg-config,
                libvirt-dev, libsqlite3-dev, facter, build-essential
 Homepage: http://www.theforeman.org/
 
@@ -12,7 +12,7 @@ Package: foreman
 Architecture: any
 Section: web
 Priority: extra
-Depends: ruby1.9.1, bundler (>= 1.1), libxslt1-dev,
+Depends: ruby1.9.1, bundler (>= 1.1), zlib1g-dev,
          ruby1.9.1-dev, facter, build-essential,
          rake (>=0.8.4), ${misc:Depends}
 Recommends: foreman-proxy, foreman-debug
@@ -88,7 +88,7 @@ Architecture: all
 Section: web
 Priority: extra
 Recommends: foreman-ec2
-Depends: foreman, libxml2-dev, libxslt1-dev, ${misc:Depends}
+Depends: foreman, ${misc:Depends}
 Description: metapackage providing fog dependencies for Foreman,
  adding OpenStack and Rackspace compute resource support.
  This package provides fog dependencies for Foreman, a