commit a4a013eb87ddf6965fe7817b53c3334aaa63c9fc
Author: Dominic Cleal <dcleal@redhat.com>
Date:   Tue May 27 11:00:08 2014 +0100

    Build non-SCL rest-client for newer version

diff --git a/comps/comps-foreman-rhel6.xml b/comps/comps-foreman-rhel6.xml
index d2c2cd73c..31b86b117 100644
--- a/comps/comps-foreman-rhel6.xml
+++ b/comps/comps-foreman-rhel6.xml
@@ -77,6 +77,7 @@
       <packagereq type="default">ruby193-rubygem-multipart-post</packagereq>
       <packagereq type="default">ruby193-rubygem-multi-select-rails</packagereq>
       <packagereq type="default">ruby193-rubygem-mysql2</packagereq>
+      <packagereq type="default">ruby193-rubygem-netrc</packagereq>
       <packagereq type="default">ruby193-rubygem-net-ldap</packagereq>
       <packagereq type="default">ruby193-rubygem-net-scp</packagereq>
       <packagereq type="default">ruby193-rubygem-net-ssh</packagereq>
@@ -147,12 +148,14 @@
       <packagereq type="default">rubygem-little-plugger</packagereq>
       <packagereq type="default">rubygem-logging</packagereq>
       <packagereq type="default">rubygem-multi_json</packagereq>
+      <packagereq type="default">rubygem-netrc</packagereq>
       <packagereq type="default">rubygem-oauth</packagereq>
       <packagereq type="default">rubygem-passenger-native-libs</packagereq>
       <packagereq type="default">rubygem-passenger-native</packagereq>
       <packagereq type="default">rubygem-passenger</packagereq>
       <packagereq type="default">rubygem-powerbar</packagereq>
       <packagereq type="default">rubygem-rdoc</packagereq>
+      <packagereq type="default">rubygem-rest-client</packagereq>
       <packagereq type="default">rubygem-rkerberos</packagereq>
       <packagereq type="default">rubygem-rubyipmi</packagereq>
       <packagereq type="default">rubygem-table_print</packagereq>
diff --git a/comps/comps-foreman-rhel7.xml b/comps/comps-foreman-rhel7.xml
index 5f4aad656..d495d2b7a 100644
--- a/comps/comps-foreman-rhel7.xml
+++ b/comps/comps-foreman-rhel7.xml
@@ -77,6 +77,7 @@
       <packagereq type="default">ruby193-rubygem-multipart-post</packagereq>
       <packagereq type="default">ruby193-rubygem-multi-select-rails</packagereq>
       <packagereq type="default">ruby193-rubygem-mysql2</packagereq>
+      <packagereq type="default">ruby193-rubygem-netrc</packagereq>
       <packagereq type="default">ruby193-rubygem-net-ldap</packagereq>
       <packagereq type="default">ruby193-rubygem-net-scp</packagereq>
       <packagereq type="default">ruby193-rubygem-net-ssh</packagereq>
@@ -148,6 +149,7 @@
       <packagereq type="default">rubygem-logging</packagereq>
       <packagereq type="default">rubygem-mime-types</packagereq>
       <packagereq type="default">rubygem-multi_json</packagereq>
+      <packagereq type="default">rubygem-netrc</packagereq>
       <packagereq type="default">rubygem-oauth</packagereq>
       <packagereq type="default">rubygem-passenger-native-libs</packagereq>
       <packagereq type="default">rubygem-passenger-native</packagereq>
@@ -156,6 +158,7 @@
       <packagereq type="default">rubygem-rack</packagereq>
       <packagereq type="default">rubygem-rack-protection</packagereq>
       <packagereq type="default">rubygem-rdoc</packagereq>
+      <packagereq type="default">rubygem-rest-client</packagereq>
       <packagereq type="default">rubygem-rkerberos</packagereq>
       <packagereq type="default">rubygem-rubyipmi</packagereq>
       <packagereq type="default">rubygem-sinatra</packagereq>
diff --git a/rel-eng/tito.props b/rel-eng/tito.props
index 39e9f9b41..edb991361 100644
--- a/rel-eng/tito.props
+++ b/rel-eng/tito.props
@@ -35,6 +35,7 @@ scl = ruby193
 disttag = .el7
 whitelist = rubygem-gridster-rails
   rubygem-netrc
+  rubygem-rest-client
 scl = ruby193
 
 # Only whitelist packages that must be non-SCL, e.g. proxy, or CLI related
@@ -63,6 +64,7 @@ whitelist = rubygem-awesome_print
   rubygem-passenger
   rubygem-powerbar
   rubygem-rdoc
+  rubygem-rest-client
   rubygem-rkerberos
   rubygem-rubyipmi
   rubygem-table_print
@@ -76,6 +78,7 @@ whitelist = rubygem-ffi
   rubygem-netrc
   rubygem-rack
   rubygem-rack-protection
+  rubygem-rest-client
   rubygem-rkerberos
   rubygem-rubyipmi
   rubygem-sinatra