commit c1f14fe1542f4017fe4bd971c503972a6d14b66c
Author: Greg Sutcliffe <gsutclif@redhat.com>
Date:   Mon Apr 28 16:43:34 2014 +0100

    Core projects: Bump to RC2

diff --git a/debian/precise/foreman-installer/changelog b/debian/precise/foreman-installer/changelog
index 4703600d6..ff2553ac7 100644
--- a/debian/precise/foreman-installer/changelog
+++ b/debian/precise/foreman-installer/changelog
@@ -1,3 +1,9 @@
+foreman-installer (1.5.0~rc2-1) stable; urgency=low
+
+  * 1.5.0 RC2 released
+
+ -- Greg Sutcliffe <greg.sutcliffe@gmail.com>  Mon, 28 Apr 2014 16:42:00 +0100
+
 foreman-installer (1.5.0~rc1-1) stable; urgency=low
 
   * 1.5.0 RC1 released
diff --git a/debian/precise/foreman-proxy/changelog b/debian/precise/foreman-proxy/changelog
index 05912d18a..e2cfa8ffd 100644
--- a/debian/precise/foreman-proxy/changelog
+++ b/debian/precise/foreman-proxy/changelog
@@ -1,3 +1,9 @@
+foreman-proxy (1.5.0~rc2-1) stable; urgency=low
+
+  * 1.5.0 RC2 released
+
+ -- Greg Sutcliffe <greg.sutcliffe@gmail.com>  Mon, 28 Apr 2014 16:42:00 +0100
+
 foreman-proxy (1.5.0~rc1-1) stable; urgency=low
 
   * 1.5.0 RC1 released
diff --git a/debian/precise/foreman/changelog b/debian/precise/foreman/changelog
index d2070d963..50c043786 100644
--- a/debian/precise/foreman/changelog
+++ b/debian/precise/foreman/changelog
@@ -1,3 +1,9 @@
+foreman (1.5.0~rc2-1) stable; urgency=low
+
+  * 1.5.0 RC2 released
+
+ -- Greg Sutcliffe <greg.sutcliffe@gmail.com>  Mon, 28 Apr 2014 16:42:00 +0100
+
 foreman (1.5.0~rc1-1) stable; urgency=low
 
   * 1.5.0 RC1 released
diff --git a/debian/squeeze/foreman-installer/changelog b/debian/squeeze/foreman-installer/changelog
index 4703600d6..ff2553ac7 100644
--- a/debian/squeeze/foreman-installer/changelog
+++ b/debian/squeeze/foreman-installer/changelog
@@ -1,3 +1,9 @@
+foreman-installer (1.5.0~rc2-1) stable; urgency=low
+
+  * 1.5.0 RC2 released
+
+ -- Greg Sutcliffe <greg.sutcliffe@gmail.com>  Mon, 28 Apr 2014 16:42:00 +0100
+
 foreman-installer (1.5.0~rc1-1) stable; urgency=low
 
   * 1.5.0 RC1 released
diff --git a/debian/squeeze/foreman-proxy/changelog b/debian/squeeze/foreman-proxy/changelog
index 77f783ab5..06c09bf33 100644
--- a/debian/squeeze/foreman-proxy/changelog
+++ b/debian/squeeze/foreman-proxy/changelog
@@ -1,3 +1,9 @@
+foreman-proxy (1.5.0~rc2-1) stable; urgency=low
+
+  * 1.5.0 RC2 released
+
+ -- Greg Sutcliffe <greg.sutcliffe@gmail.com>  Mon, 28 Apr 2014 16:42:00 +0100
+
 foreman-proxy (1.5.0~rc1-1) stable; urgency=low
 
   * 1.5.0 RC1 released
diff --git a/debian/squeeze/foreman/changelog b/debian/squeeze/foreman/changelog
index c81474ed3..3d03ad4ef 100644
--- a/debian/squeeze/foreman/changelog
+++ b/debian/squeeze/foreman/changelog
@@ -1,3 +1,9 @@
+foreman (1.5.0~rc2-1) stable; urgency=low
+
+  * 1.5.0 RC2 released
+
+ -- Greg Sutcliffe <greg.sutcliffe@gmail.com>  Mon, 28 Apr 2014 16:42:00 +0100
+
 foreman (1.5.0~rc1-1) stable; urgency=low
 
   * 1.5.0 RC1 released
diff --git a/debian/wheezy/foreman-installer/changelog b/debian/wheezy/foreman-installer/changelog
index 007699270..0d70de974 100644
--- a/debian/wheezy/foreman-installer/changelog
+++ b/debian/wheezy/foreman-installer/changelog
@@ -1,3 +1,9 @@
+foreman-installer (1.5.0~rc2-1) stable; urgency=low
+
+  * 1.5.0 RC2 released
+
+ -- Greg Sutcliffe <greg.sutcliffe@gmail.com>  Mon, 28 Apr 2014 16:42:00 +0100
+
 foreman-installer (1.5.0~rc1-1) stable; urgency=low
 
   * 1.5.0 RC1 released
diff --git a/debian/wheezy/foreman-proxy/changelog b/debian/wheezy/foreman-proxy/changelog
index af0f71a2e..87d520365 100644
--- a/debian/wheezy/foreman-proxy/changelog
+++ b/debian/wheezy/foreman-proxy/changelog
@@ -1,3 +1,9 @@
+foreman-proxy (1.5.0~rc2-1) stable; urgency=low
+
+  * 1.5.0 RC2 released
+
+ -- Greg Sutcliffe <greg.sutcliffe@gmail.com>  Mon, 28 Apr 2014 16:42:00 +0100
+
 foreman-proxy (1.5.0~rc1-1) stable; urgency=low
 
   * 1.5.0 RC1 released
diff --git a/debian/wheezy/foreman/changelog b/debian/wheezy/foreman/changelog
index f51b97b81..c37b2d6f1 100644
--- a/debian/wheezy/foreman/changelog
+++ b/debian/wheezy/foreman/changelog
@@ -1,3 +1,9 @@
+foreman (1.5.0~rc2-1) stable; urgency=low
+
+  * 1.5.0 RC2 released
+
+ -- Greg Sutcliffe <greg.sutcliffe@gmail.com>  Mon, 28 Apr 2014 16:42:00 +0100
+
 foreman (1.5.0~rc1-1) stable; urgency=low
 
   * 1.5.0 RC1 released