commit fd9e21d24090714574ef6d62dea91674fa5821b4
Author: Dominic Cleal <dcleal@redhat.com>
Date:   Fri Aug 28 08:53:13 2015 +0100

    Add intermediate builddeps to repos

diff --git a/comps/comps-foreman-rhel6.xml b/comps/comps-foreman-rhel6.xml
index 3873bb757..ab07aa646 100644
--- a/comps/comps-foreman-rhel6.xml
+++ b/comps/comps-foreman-rhel6.xml
@@ -83,6 +83,7 @@
       <packagereq type="default">tfm-rubygem-highline</packagereq>
       <packagereq type="default">tfm-rubygem-hirb-unicode</packagereq>
       <packagereq type="default">tfm-rubygem-hirb</packagereq>
+      <packagereq type="default">tfm-rubygem-hoe</packagereq>
       <packagereq type="default">tfm-rubygem-ipaddress</packagereq>
       <packagereq type="default">tfm-rubygem-jquery_pwstrength_bootstrap</packagereq>
       <packagereq type="default">tfm-rubygem-jquery-turbolinks</packagereq>
@@ -120,8 +121,10 @@
       <packagereq type="default">tfm-rubygem-rest-client</packagereq>
       <packagereq type="default">tfm-rubygem-retriable</packagereq>
       <packagereq type="default">tfm-rubygem-rr</packagereq>
+      <packagereq type="default">tfm-rubygem-rspec-rails</packagereq>
       <packagereq type="default">tfm-rubygem-ruby-libvirt</packagereq>
       <packagereq type="default">tfm-rubygem-ruby2ruby</packagereq>
+      <packagereq type="default">tfm-rubygem-rubyforge</packagereq>
       <packagereq type="default">tfm-rubygem-ruby_parser</packagereq>
       <packagereq type="default">tfm-rubygem-safemode</packagereq>
       <packagereq type="default">tfm-rubygem-sass</packagereq>
@@ -246,6 +249,7 @@
       <packagereq type="default">tfm-rubygem-hashie-doc</packagereq>
       <packagereq type="default">tfm-rubygem-hirb-doc</packagereq>
       <packagereq type="default">tfm-rubygem-hirb-unicode-doc</packagereq>
+      <packagereq type="default">tfm-rubygem-hoe-doc</packagereq>
       <packagereq type="default">tfm-rubygem-ipaddress-doc</packagereq>
       <packagereq type="default">tfm-rubygem-jquery_pwstrength_bootstrap-doc</packagereq>
       <packagereq type="default">tfm-rubygem-jquery-turbolinks-doc</packagereq>
@@ -279,6 +283,7 @@
       <packagereq type="default">tfm-rubygem-rbvmomi-doc</packagereq>
       <packagereq type="default">tfm-rubygem-retriable-doc</packagereq>
       <packagereq type="default">tfm-rubygem-rr-doc</packagereq>
+      <packagereq type="default">tfm-rubygem-rspec-rails-doc</packagereq>
       <packagereq type="default">tfm-rubygem-ruby2ruby-doc</packagereq>
       <packagereq type="default">tfm-rubygem-ruby-libvirt-doc</packagereq>
       <packagereq type="default">tfm-rubygem-ruby_parser-doc</packagereq>
diff --git a/comps/comps-foreman-rhel7.xml b/comps/comps-foreman-rhel7.xml
index b53c59e24..2064b826a 100644
--- a/comps/comps-foreman-rhel7.xml
+++ b/comps/comps-foreman-rhel7.xml
@@ -83,6 +83,7 @@
       <packagereq type="default">tfm-rubygem-highline</packagereq>
       <packagereq type="default">tfm-rubygem-hirb-unicode</packagereq>
       <packagereq type="default">tfm-rubygem-hirb</packagereq>
+      <packagereq type="default">tfm-rubygem-hoe</packagereq>
       <packagereq type="default">tfm-rubygem-ipaddress</packagereq>
       <packagereq type="default">tfm-rubygem-jquery_pwstrength_bootstrap</packagereq>
       <packagereq type="default">tfm-rubygem-jquery-turbolinks</packagereq>
@@ -120,8 +121,10 @@
       <packagereq type="default">tfm-rubygem-rest-client</packagereq>
       <packagereq type="default">tfm-rubygem-retriable</packagereq>
       <packagereq type="default">tfm-rubygem-rr</packagereq>
+      <packagereq type="default">tfm-rubygem-rspec-rails</packagereq>
       <packagereq type="default">tfm-rubygem-ruby-libvirt</packagereq>
       <packagereq type="default">tfm-rubygem-ruby2ruby</packagereq>
+      <packagereq type="default">tfm-rubygem-rubyforge</packagereq>
       <packagereq type="default">tfm-rubygem-ruby_parser</packagereq>
       <packagereq type="default">tfm-rubygem-safemode</packagereq>
       <packagereq type="default">tfm-rubygem-sass</packagereq>
@@ -249,6 +252,7 @@
       <packagereq type="default">tfm-rubygem-hashie-doc</packagereq>
       <packagereq type="default">tfm-rubygem-hirb-doc</packagereq>
       <packagereq type="default">tfm-rubygem-hirb-unicode-doc</packagereq>
+      <packagereq type="default">tfm-rubygem-hoe-doc</packagereq>
       <packagereq type="default">tfm-rubygem-ipaddress-doc</packagereq>
       <packagereq type="default">tfm-rubygem-jquery_pwstrength_bootstrap-doc</packagereq>
       <packagereq type="default">tfm-rubygem-jquery-turbolinks-doc</packagereq>
@@ -282,6 +286,7 @@
       <packagereq type="default">tfm-rubygem-rbvmomi-doc</packagereq>
       <packagereq type="default">tfm-rubygem-retriable-doc</packagereq>
       <packagereq type="default">tfm-rubygem-rr-doc</packagereq>
+      <packagereq type="default">tfm-rubygem-rspec-rails-doc</packagereq>
       <packagereq type="default">tfm-rubygem-ruby2ruby-doc</packagereq>
       <packagereq type="default">tfm-rubygem-ruby-libvirt-doc</packagereq>
       <packagereq type="default">tfm-rubygem-ruby_parser-doc</packagereq>